Package org.gitana.platform.client.team

# Class TeamImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.team.TeamImpl

All Implemented Interfaces:
  `Serializable`, `Team`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class TeamImpl extends org.gitana.platform.support.GitanaObjectImpl implements Team

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.team.Team

`FIELD_GROUP_DOMAIN_ID, FIELD_GROUP_ID, FIELD_KEY, FIELD_ROLE_KEYS, FIELD_TEAMABLE_ID, FIELD_TEAMABLE_TYPE_ID`

## Constructor Summary

Constructors
Constructor
Description
`TeamImpl(Cluster cluster, Teamable teamable, String teamKey, com.fasterxml.jackson.databind.node.ObjectNode objectNode)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMember(String principalId)`
`protected Cluster`
`getCluster()`
`protected Driver`
`getDriver()`
`protected ObjectFactory`
`getFactory()`
`String`
`getGroupId()`
`String`
`getKey()`
`protected Remote`
`getRemote()`
`List<String>`
`getRoleKeys()`
`Teamable`
`getTeamable()`
`void`
`grant(String authorityId)`
`boolean`
`hasMember(String principalId)`
`List<String>`
`listAuthorities()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listMembers()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listMembers(org.gitana.platform.support.Pagination pagination)`
`void`
`removeMember(String principalId)`
`void`
`revoke(String authorityId)`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

## Constructor Details

### TeamImpl

public TeamImpl(Cluster cluster, Teamable teamable, String teamKey, com.fasterxml.jackson.databind.node.ObjectNode objectNode)

## Method Details

### getCluster

protected Cluster getCluster()

### getFactory

protected ObjectFactory getFactory()

### getDriver

protected Driver getDriver()

### getRemote

protected Remote getRemote()

### getTeamable

public Teamable getTeamable()

Specified by:
  `getTeamable` in interface `Team`
Returns:
  the teamable that this team is a part of

### getKey

public String getKey()

Specified by:
  `getKey` in interface `Team`
Returns:
  the team key

### getGroupId

public String getGroupId()

Specified by:
  `getGroupId` in interface `Team`
Returns:
  the team group id

### getRoleKeys

public List<String> getRoleKeys()

Specified by:
  `getRoleKeys` in interface `Team`
Returns:
  the granted authority role keys that are bestowed unto members of this team

### addMember

public void addMember(String principalId)

Specified by:
  `addMember` in interface `Team`

### removeMember

public void removeMember(String principalId)

Specified by:
  `removeMember` in interface `Team`

### hasMember

public boolean hasMember(String principalId)

Specified by:
  `hasMember` in interface `Team`

### listMembers

public org.gitana.platform.support.ResultMap<DomainPrincipal> listMembers()

Specified by:
  `listMembers` in interface `Team`

### listMembers

public org.gitana.platform.support.ResultMap<DomainPrincipal> listMembers(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listMembers` in interface `Team`

### grant

public void grant(String authorityId)

Specified by:
  `grant` in interface `Team`

### revoke

public void revoke(String authorityId)

Specified by:
  `revoke` in interface `Team`

### listAuthorities

public List<String> listAuthorities()

Specified by:
  `listAuthorities` in interface `Team`